import 'package:tecfy_basic_package/tecfy_basic_package.dart';
import 'package:tecfy_corev2_package/tecfy_core_client_package.dart';

class DashboardUrl extends DashboardItemBase {
  Map<String, dynamic>? name;
  String? url;
  Map<String, dynamic>? description;
  num? batchNumber;
  String? entityPermission;
  bool? isFrequentlyUpdated;
  num? width;
  num? height;

  DashboardUrl.fromMap(Map<String, dynamic>? map) : super.fromMap(map) {
    if (map == null) return;
    name = map["name"] != null ? Map<String, String>.from(map["name"]) : null;
    description = map["description"] != null
        ? Map<String, String>.from(map["description"])
        : null;
    url = map['url'];
    width = map['width'];
    height = map['height'];
    batchNumber = map['batchNumber'];
    entityPermission = map['entityPermission'];
    isFrequentlyUpdated = BaseModel.getBoolEx(map['isFrequentlyUpdated']);
  }
  Map toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["name"] = name;
    data["description"] = description;
    data['url'] = url;
    data['width'] = width;
    data['height'] = height;
    data['batchNumber'] = batchNumber;
    data['entityPermission'] = entityPermission;
    data['isFrequentlyUpdated'] = isFrequentlyUpdated;
    data['value'] = value;
    return data;
  }
}
